Skip to main content
`Ctrl`+`K`

# BVBiorthogonalizeColumn

Bi-orthogonalize a column of two `BV` objects.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVBiorthogonalizeColumn(BV V,BV W,PetscInt j)

Collective

## Input Parameters

- V - first basis vectors context

- W - second basis vectors context

- j - index of column to be bi-orthonormalized

## Notes

This function bi-orthogonalizes vectors \(v_j\), \(w_j\) against \(W_{0:j-1}\), and \(V_{0:j-1}\), respectively, so that \(W_{0:j}^*V_{0:j}\) is diagonal.

## See Also

BV: Basis Vectors, `BVOrthogonalizeColumn()`, `BVBiorthonormalizeColumn()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbiorthog.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages